Subject: Re: XDP maintainer match (Was [PATCH v2 0/2] hwmon: (max127) Add Maxim MAX127 hardware monitoring)

From: Jesper Dangaard Brouer <[email-masked]>
Date: Thu, 19 Nov 2020 21:41:55 +0100

On Thu, 19 Nov 2020 09:59:28 -0800
Jakub Kicinski <[email-masked]> wrote:

> On Thu, 19 Nov 2020 09:09:53 -0800 Joe Perches wrote:
> > On Thu, 2020-11-19 at 17:35 +0100, Jesper Dangaard Brouer wrote:  
> > > On Thu, 19 Nov 2020 07:46:34 -0800 Jakub Kicinski <[email-masked]> wrote:    
> >   
> > > I think it is a good idea to change the keyword (K:), but I'm not sure
> > > this catch what we want, maybe it does.  The pattern match are meant to
> > > catch drivers containing XDP related bits.
> > > 
> > > Previously Joe Perches <[email-masked]> suggested this pattern match,
> > > which I don't fully understand... could you explain Joe?
> > > 
> > >   (?:\b|_)xdp(?:\b|_)    
> > 
> > This regex matches only:
> > 
> > 	xdp
> > 	xdp_<anything>
> > 	<anything>_xdp_<anything>
> > 	<anything>_xdp
> >   
> > > For the filename (N:) regex match, I'm considering if we should remove
> > > it and list more files explicitly.  I think normal glob * pattern
> > > works, which should be sufficient.    
> > 
> > Lists are generally more specific than regex globs.  
> 
> Checking like Alexei did it seems Joe's version is faster and better:
> 
> $ git grep -l -E "[^a-z0-9]xdp[^a-z0-9]" | wc -l
> 295
> $ git grep -l -E '(\b|_)xdp(\b|_)' | wc -l
> 297
> $ time git grep -l -E '(\b|_)xdp(\b|_)' > /tmp/a

Okay, I guess this is the pattern you want: '(\b|_)xdp(\b|_)'

> Joe would you like to send a patch, or should I?

As you noticed I already send out a patch, I can send a new with your
pattern, as it seems to be faster.

-- 
Best regards,
  Jesper Dangaard Brouer
  MSc.CS, Principal Kernel Engineer at Red Hat
  LinkedIn: http://www.linkedin.com/in/brouer